Page MenuHomePhabricator

Track baseline rate of Echo events and notifications
Closed, ResolvedPublic

Description

As a recommendation from performance review (T246707), we should track the rate at which relevant Echo events/notifications are occurring.

This was originally instrumented with event logging (see Schema:Echo), but that was disabled because it was seen as redundant with data already in Echo's DB tables: https://gerrit.wikimedia.org/r/c/operations/mediawiki-config/+/274345

Q: Do we have a good way of using the rate of inserts on a given DB table as a metric? A: It appears not.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 19 2020, 6:11 PM
Mholloway updated the task description. (Show Details)Aug 19 2020, 8:17 PM
Mholloway updated the task description. (Show Details)Aug 20 2020, 1:59 PM
Mholloway renamed this task from Track rate of relevant Echo events to Track baseline rate of Echo notifications.Aug 20 2020, 5:47 PM

Change 621557 had a related patch set uploaded (by Mholloway; owner: Michael Holloway):
[mediawiki/extensions/Echo@master] Collect baseline event and notification stats

https://gerrit.wikimedia.org/r/621557

Mholloway renamed this task from Track baseline rate of Echo notifications to Track baseline rate of Echo events and notifications.Aug 20 2020, 5:57 PM

Change 621557 merged by jenkins-bot:
[mediawiki/extensions/Echo@master] Collect baseline event and notification stats

https://gerrit.wikimedia.org/r/621557

MSantos added a subscriber: MSantos.EditedSep 15 2020, 5:16 PM

@Mholloway where can we see these new stats?

Edit: I gave it a try and found the metrics in the Graphite data source. I created a draft grafana dashboard to take a first look at it https://grafana.wikimedia.org/d/onyD7cOMk/echo-extension-notification-baseline-track?orgId=1

Thanks for picking that up, @MSantos. I guess we can close this ticket out now that we know the metrics are indeed being collected (and we have a dashboard for them).

Mholloway closed this task as Resolved.Sep 16 2020, 6:27 PM